<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus Callout API</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_callout_activation</name>
    <title>Activation</title>
    <filename>group__globus__callout__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLOUT_MODULE</name>
      <anchorfile>group__globus__callout__activation.html</anchorfile>
      <anchor>gbf5041971019d19056bcd96d0e817af9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_handle</name>
    <title>Callout Handle Operations</title>
    <filename>group__globus__callout__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_handle_init</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>g8b79c4d5784040246dd4add6be6e4bd8</anchor>
      <arglist>(globus_callout_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_handle_destroy</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>g08f67fd93f89e40ad0b2f2056f9a2c1f</anchor>
      <arglist>(globus_callout_handle_t handle)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_callout_handle_s *</type>
      <name>globus_callout_handle_t</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>g0e9b8c9f4f9770f7f55480297c98cbe3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_config</name>
    <title>Callout Configuration</title>
    <filename>group__globus__callout__config.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_read_config</name>
      <anchorfile>group__globus__callout__config.html</anchorfile>
      <anchor>g6dfc6ebae8b3804891ace1fa8fcad94a</anchor>
      <arglist>(globus_callout_handle_t handle, char *filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_register</name>
      <anchorfile>group__globus__callout__config.html</anchorfile>
      <anchor>g5c3730a73ef3096425cbd17eb04fd70a</anchor>
      <arglist>(globus_callout_handle_t handle, char *type, char *library, char *symbol)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_call</name>
    <title>Callout Invocation</title>
    <filename>group__globus__callout__call.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_call_type</name>
      <anchorfile>group__globus__callout__call.html</anchorfile>
      <anchor>gd3b10a18acbe1794254630f07452f5ac</anchor>
      <arglist>(globus_callout_handle_t handle, char *type,...)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_result_t(*)</type>
      <name>globus_callout_function_t</name>
      <anchorfile>group__globus__callout__call.html</anchorfile>
      <anchor>g7f655715d4b5ac85571eed58aecc3c27</anchor>
      <arglist>(va_list ap)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_constants</name>
    <title>Globus Callout Constants</title>
    <filename>group__globus__callout__constants.html</filename>
    <member kind="enumeration">
      <name>globus_callout_error_t</name>
      <anchor>gda846e9044b8eab7569ae332c69f5bd4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_SUCCESS</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd4c4a103df337e686999a30e9fae490d78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd48010860cdd18bfe744d3bf95e0fd91a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_OPENING_CONF_FILE</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd40301b5b5b305edb8fcd1046be9958d94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_PARSING_CONF_FILE</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd4abec213fad46763d05ed25915eaaa15d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_WITH_DL</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd4698dada9e22f6f02f3886aa46f9f7852</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd40290f10d05071f400ce125f2508c3eb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_TYPE_NOT_REGISTERED</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd470654f15905646e6f54f9bb49f552475</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd40b9f59b81bc1a9f33b75ec7c06bd7016</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_LAST</name>
      <anchor>ggda846e9044b8eab7569ae332c69f5bd4ed8a604d667dbfeca451b7de75b54356</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
